using _Core;

namespace _Combo
{
    internal class RedeemGiftCode
    {
        public class Request : Serializable {
            [Newtonsoft.Json.JsonProperty("identity_token")]
            public string identityToken;
            [Newtonsoft.Json.JsonProperty("gift_code")]
            public string giftCode;
            [Newtonsoft.Json.JsonProperty("server_id")]
            public int serverId;
            [Newtonsoft.Json.JsonProperty("role_id")]
            public string roleId;
            [Newtonsoft.Json.JsonProperty("role_name")]
            public string roleName;

        }

        public class Response : Serializable
        {
        }
    }
}